@import 'vars';

.successTitle{
  font-family: $font-roboto-mono;
  text-align: center;
font-size: 35px;
font-weight: 700;
line-height: 46px;
letter-spacing: 0em;
color: #FFFFFF;
margin-bottom: 21px;
}

.successDescription {
  font-family: $font-roboto-mono;
  font-style: normal;
  margin: 0;
  text-align: center;
  margin-top: 16px;
font-size: 16px;
font-weight: 400;
line-height: 28px;
letter-spacing: 0em;
color: #FFFFFF;
@media (min-width: 768px) {
  font-size: 21px;
}
}

.actionButton {
  font-family: $font-avenir;
  font-style: normal;
  font-weight: 600;
  font-size: 12px;
  line-height: 22px;
  width: 100%;
  height: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  letter-spacing: 0.02em;
  text-transform: uppercase;
  text-decoration: none;
  color: #201747;
  background: #00F220;
  ;
  box-shadow: 0px 0px 80px rgba(27, 204, 50, 0.5);

  @media (min-width: 768px) {
    min-width: 230px;
    height: 65px;
    font-size: 20px;
  }
}

.walletInput {
  display: flex;
  flex-direction: column;
  width: 100%;
  
  span {
    position: relative;
    visibility: hidden;
    &::after {
      position: absolute;
      left: 0;
      visibility: visible;
      bottom: 12px;
      content: 'Paste address or click connect wallet';
    }
  }
  &>span {
    padding-bottom: 21px;
    padding-top: 21px;
  }
  @media (min-width: 768px) {
    &>span {
      padding-top: unset;
    }
  }
  label {
    font-weight: 500;
    font-size: 16px;
  }

  div {
    position: relative;
    img {
      position: absolute;
      top: 50%; left: 50%;
      transform: translate(-50%, -50%);
      width: 100px;
      height: 100px;
    }
  }
    
  input[type="text"] {
    background-color: $c-white;
  box-sizing: border-box;
  width: 100%;
  height: 42px;
  border-radius: 0;
  border: 0;
  font-family: Montserrat;
  font-style: normal;
  font-weight: 600;
  line-height: 22px;
  font-size: 12px;
  letter-spacing: 0.02em;
  padding-left: 11px;
  color: #052152;
  text-shadow: 0px 2px 50px #ffffff;

    &:disabled {
      color: #585a5e;
      cursor: not-allowed;
      background-color: $c-alto;
  
      &::placeholder {
        color: #c0bebe;
      }
    }
    &:focus,
    &:focus-visible {
      border: 0;
      outline: 0;
    }

    &::placeholder {
      color: rgba(2, 12, 30, 0.5);
    }

    @media (min-width: 768px) {
      font-size: 18px;
      height: 65px;
      padding: 21px 0 22px 22px;
    }
  }  
 

  label {
    cursor: pointer;
    margin-top: 10px;
    display:flex;
    width: fit-content;
    span {
      padding-left: 5px;
      font-size: 12px;
      font-weight: normal;
    }
    input[type="checkbox"] {
      &:disabled {
        + label {
          color: red;
        }
      }
    }
  }

  input[type="checkbox"] {
    cursor: pointer;
    display: grid;
    place-content: center;
    appearance: none;
    margin: 0;
    font: inherit;
    color: currentColor;
    width: 1.15em;
    height: 1.15em;
    border: 0.15em solid #846da1;
    border-radius: 0.15em;
    transform: translateY(-0.075em);

    &::before {
      content: "";
      width: 0.65em;
      height: 0.65em;
      transform: scale(0);
      transition: 40ms transform ease-in-out;
      box-shadow: inset 1em 1em var(--form-control-color);
      background-color: #846da1;
      transform-origin: bottom left;
      clip-path: polygon(14% 44%, 0 65%, 50% 100%, 100% 16%, 80% 0%, 43% 62%);
      &:disabled {
        background-color: #c0bebe;;
      }
    }

    &:checked {
      padding: 0;
      &::before {
        transform: scale(1);
      }
    }
    
    &:disabled {
      cursor: not-allowed;
      border: 0.15em solid #585a5e;
      + label {
        color: red;
      }
    }
  }
  
}
.main {

div[class*='PageLoading_loading']{
  margin-bottom: 600px;

}
  background-position: top;
  background-repeat: repeat;
  background-color: #000000;
  padding-top: 4rem;
  @media (min-width: 768px) {
    padding-top: unset;
  }

  div[class*='Header_mainContainer'] {
    background-color: #000000;
    position: fixed;
    top: 0;
    left: 0;
    margin: 0;
    width: 100%;
    z-index: 999;
    @media (min-width: 768px) {
      position: static;
    }
    header[class*='Header_header'] {
      display: flex;
      flex-wrap: wrap;
      align-items: flex-end;
      margin: 0;
      position: relative;
      z-index: 1;
      justify-content: space-between;
      margin: 0 5%;
      @media (min-width: 768px) {
        align-items: center;
        margin: 0 24px;
      }
      header[class*='Header_logo'] {
        width: 100px;
        @media (min-width: 768px) {
          width: 150px;
        }
      }
    }
    div[class*='Header_container'] {
      @media (min-width: 768px) {
        margin-right: 100px;
      }
    }
  }
}

.upperContainer {
  position: relative;
  width: 265px;
  height: 265px;
  margin: 41px auto;
  z-index: 0;

  @media (min-width: 768px) {
    width: 480px;
    height: 480px;
  }
}
.image {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  max-width: 100%;
  object-fit: contain;
  z-index: 1;
}

.lowerContainer {
  display: flex;
  flex-direction: column;
  width: 300px;
  height: auto;

  background: #000000;
  box-shadow: 0px 0px 50px 3px rgba(255, 255, 255, 0.15);
  position: inherit;
  z-index: 1;
  border-radius: 0px;
  align-items: center;
  position: relative;
  padding: 0 30px 28px;
  @media (min-width: 768px) {
    width: 632px;
    padding: 44px 76px 26px;
  }

  .notEligibleInfo {
    margin-top: 20px;
    color: red;
  }
}
.relativeWrapper {
  position: relative;
  margin-top: 30px;
  height: auto;
  width: 100%;
  &::before{
    visibility: visible;
    position: relative;
    bottom: 12px;
    content: 'Enter a number or click the arrows'
  }
  @media (min-width: 768px) {
    margin-top: 47px;
  }
}
.inputData {
  background-color: $c-white;
  box-sizing: border-box;
  width: 100%;
  height: 42px;
  border-radius: 0;
  border: 0;
  font-family: Montserrat;
  font-style: normal;
  font-weight: 600;
  line-height: 22px;
  font-size: 12px;
  letter-spacing: 0.02em;
  padding-left: 11px;
  color: #052152;
  text-shadow: 0px 2px 50px #ffffff;

  &:disabled {
    cursor: not-allowed;
    background-color: $c-alto;

    &::placeholder {
      color: #c0bebe;
    }
  }

  &:focus,
  &:focus-visible {
    border: 0;
    outline: 0;
  }

  &::placeholder {
    color: rgba(2, 12, 30, 0.5);
  }

  @media (min-width: 768px) {
    font-size: 18px;
    height: 65px;
    width: 100%;
    padding: 21px 0 22px 22px;
  }
}

.randomize {
  position: absolute;
  cursor: pointer;
  bottom: 8px;
  right: 16px;
  background-color: transparent;
  border: 0;
  img {
    height: 19px;
    width: 21px;
  }
  @media (min-width: 768px) {
    top: 26px;
    right: 30px;
    img {
      width: 32px;
      height: 30px;
    }
  }
  &:disabled {
    cursor: not-allowed;
  }
}

.buttonWrapper {
  position: relative;
  display: flex;
  margin-top: 30px;
  flex-direction: column;
  align-items: center;
  width: 100%;
  @media (min-width: 768px) {
    margin-top: 52px;
  }
}

.button {
  font-family: $font-avenir;
  font-size: 18px;
  border: none;
  cursor: pointer;
  text-decoration: none;
  display: inline;
  margin: 0;
  color: #052152;
  font-style: normal;
  font-weight: 900;
  line-height: 27px;
  text-align: center;
  letter-spacing: 0.11em;
  text-transform: uppercase;

  background: #00F220;

  box-shadow: 0px 0px 80px rgba(27, 204, 50, 0.5);
  text-transform: uppercase;

  width: 100%;
  height: 41.81px;
  padding: 0 17px;
  border-radius: 0;

  &:disabled {
    background: rgba(0, 179, 24, 0.5) !important;
    cursor: not-allowed;
  }
  @media (min-width: 768px) {
    width: 100%;
    height: 65px;
    font-size: 20px;
  }
  span {
    visibility: hidden;
    display: flex;
    flex-direction: column;
    position: relative;
    transform: translate(0, -25%);
    bottom: 3px;
    &::after {
      visibility: visible;
      content: 'MINT NOW';
      color: #000000;
      bottom:2px;
    }
    @media (min-width: 768px) {
      bottom: 0;
    }
  }
}
.status {
  position: absolute;
  font-family: Montserrat;
  font-style: normal;
  top: -35px;
  font-weight: 800;
  font-size: 10px;
  line-height: 12px;
  text-align: center;
  letter-spacing: 0.02em;
  text-transform: uppercase;
  color: #00b318;
  @media (min-width: 768px) {
    font-size: 12px;
    line-height: 15px;
    top: -50px;
  }
}
.slider {
  background-color: rgba(255, 255, 255, 0.25);
  width: 225px;
  margin-top: 30px;
  background-color: transparent;
  :global(.rc-slider-mark-text) {
    width: 100%;

    &:first-child {
      text-align: left;
      transform: none !important;
    }

    &:last-child {
      text-align: right;
      transform: translateX(-100%) !important;
    }
  }
  @media (min-width: 768px) {
    width: 100%;
    margin-top: 42px;
  }
}

.sliderInfo {
  margin: 0;
  font-family: Montserrat;
  font-weight: 500;
  font-style: italic;
  line-height: 18px;
  margin-top: 8px;
  padding: 0;
  font-size: 10px;
  color: rgba(255, 255, 255, 0.75);
  @media (min-width: 768px) {
    font-size: 15px;
  }
}
.percentage {
  font-family: Montserrat;
  color: #fff;
  margin-top: 8px;
  font-weight: 600;
  font-size: 12px;
  line-height: 18px;
  letter-spacing: 0.02em;
  @media (min-width: 768px) {
    font-size: 15px;
  }
}
.details {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;

  @media (min-width: 768px) {
    padding: 25px 56px 78px 58px;
  }

  .row {
    padding-bottom: 30px;
    display: flex;
    flex-direction: column;
    .rowTitle {
      color: #1f6fe5;
      font-weight: bold;
      font-size: 20px;
      margin-bottom: 10px;
    }
    .rowValue {
      color: black;
      font-weight: 500;
      font-size: 22px;
    }
  }
  @media (min-width: 768px) {
    width: 55%;
    padding: 0;
  }
}

.container {
  position: relative;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  min-height: 600px;
  @media (min-width: 768px) {
    max-width: 100%;
    margin: 0 auto 121px auto;
  }
}
.navlinks {
  display: flex;
  justify-content: space-between;
  list-style: none;
  margin-bottom: 0;
  padding-left: 0;
  width: 115px;

  @media (min-width: 768px) {
    width: 180px;
  }

  .linkContainer {
    .link {
      display: flex;
      background-color: transparent;
      outline: none;
      border: none;
      text-decoration: none;
      color: $c-alto;
      font-size: 17px;

      &:global(.active) {
        font-weight: 700;
        color: $c-flush-orange;
      }

      img {
        height: 15px;
        width: auto;

        @media (min-width: 768px) {
          height: 26px;
        }
      }

      &:hover,
      &:focus {
        color: #fff;
      }
    }
  }
}
.indicatorContainer {
  position: absolute;
  bottom: -55px;
  display: flex;
  justify-content: space-around;
  div {
    width: 19.2px;
    height: 19.2px;
    border-radius: 100%;
    margin-right: 28px;
    margin-left: 28px;
  }
  @media (min-width: 768px) {
    width: 29.85px;
    right: -78px;
    bottom: 70%;
    display: block;
    height: 29.85px;
    div {
      margin-bottom: 44px;
      width: 29.85px;
      height: 29.85px;
      margin: 0 0 28px;
    }
  }

  .green {
    background: rgba(77, 255, 100, 0.25);
  }
  .red {
    background: rgba(255, 51, 51, 0.25);
  }
  .orange {
    background: rgba(255, 149, 0, 0.25);
  }
}


.connect {
  width: 100%;
  button {
    font-family: $font-avenir;
    font-size: 14px;
    white-space: nowrap;
    color: #00F220;
    border: 0;
    text-transform: uppercase;
    background: #000000;
    border: 1px solid #00F220;
    box-shadow: 0px 0px 80px rgba(27, 204, 50, 0.5);
    width: 100%;
    height: 41.81px;
    margin-bottom: 18px;
    font-style: normal;
    font-weight: 900;
    line-height: 27px;
    letter-spacing: 0.11em;
    @media (min-width: 768px) {
      width: 100%;
      height: 65px;
      font-size: 18px;
      line-height: 21.94px;
    }
  }
}
